# iHub Framework TS Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

> Given a version number `MAJOR.MINOR.PATCH`, increment the:
> 1. MAJOR version when you make incompatible API changes,
> 2. MINOR version when you add functionality in a backwards-compatible manner, and
> 3. PATCH version when you make backwards-compatible bug fixes.
>
> Additional labels for pre-release and build metadata are available as extensions to the `MAJOR.MINOR.PATCH` format.

## Changelog entry snippet

``` markdown
## [X.Y.Z] - yyyy-mm-dd

### Added
### Fixed
### Changed
### Removed
```

## Additional documentations:
* [Documentation - Wiki](https://gitlab.com/infracommerce-ihub/framework/ihub-framework-ts/wikis/home)
* [Contributing](https://gitlab.com/infracommerce-ihub/framework/ihub-framework-ts/blob/master/CONTRIBUTING.md)

## Version summary

| Tag                      | Release date |
| ------------------------ | -----------: |
| [1.8.1](#181-2021-04-06) | 2021-04-06   |
| [1.7.5](#175-2021-04-06) | 2021-04-06   |
| [1.7.1](#171-2021-04-05) | 2021-04-05   |
| [1.7.0](#170-2021-03-30) | 2021-03-30   |
| [1.6.4](#164-2021-03-17) | 2021-03-17   |
| [1.6.3](#163-2021-03-10) | 2021-03-10   |
| [1.5.8](#158-2021-01-07) | 2021-01-07   |
| [1.5.7](#157-2020-12-10) | 2020-12-10   |
| [1.5.6](#156-2020-12-08) | 2020-12-08   |
| [1.5.5](#154-2020-12-07) | 2020-12-07   |
| [1.5.4](#154-2020-10-29) | 2020-10-29   |
| [1.5.3](#153-2020-10-16) | 2020-10-16   |
| [1.5.2](#152-2020-09-30) | 2020-09-30   |
| [1.5.0](#150-2020-08-03) | 2020-08-03   |
| [1.4.1](#141-2020-06-30) | 2020-06-30   |

## [1.8.1] - 2021-04-06

### Added

 - Added presets application errors

 ### Changed

 - Minor improvements
 - Minor improvements in PaginationHelper

## [1.7.5] - 2021-04-06

### Changed

 - Refactoring helpers

## [1.7.1] - 2021-04-05

### Added

 - Added Store Helper

## [1.7.0] - 2021-03-30

### Added

 - Added Pagination interfaces and helper

## [1.6.4] - 2021-03-17

### Fixed

 - Fixed "serializeError is not a function" error

## [1.6.3] - 2021-03-10

### Changed

- Updated Node.js version to 14.16.0-alpine
- Updated several dependencies

## [1.5.8] - 2021-01-07

### Fixed

- Changed axios version to 0.21.1 in order to resolve an bug of high vulnerability

### Changed

- Updated Node.js version to 14.15.4-alpine
- Updated some others dependencies

## [1.5.7] - 2020-12-10

### Fixed

- Minor bug fix

### Changed

- Changed mongoose version to 5.10.19
- Updated some others dependencies

## [1.5.6] - 2020-12-08

### Added

- Added support for parameterizing the use unified topology of Mongoose

### Changed

- Skips routine loading for non primary ou non master worker
- Updated Node.js version to 14.15.1-alpine
- Changed mongoose version to 5.11.1
- Updated some others dependencies

## [1.5.5] - 2020-12-07

### Added

- Added integration with alert system to push logs in create alert exchange

## [1.5.4] - 2020-10-29

### Added

- Updated dependencies

## [1.5.3] - 2020-10-16

### Added

- Added httpHelper

### Changed

- Updated dependencies

## [1.5.2] - 2020-09-30

### Fixed

- Validation to run job only in one process of the NodeJS

## [1.5.0] - 2020-08-03

### Changed

- Several improvements

## [1.4.1] - 2020-06-30

### Fixed

- Fixed the graceful shutdown to put `running = false` in the crontabs
