/// <reference types="express" />
import { Request } from '../index';
export interface PaginationParams {
    pageNumber: number;
    perPage: number;
    orderBy: string;
    orderDirection: 'asc' | 'desc';
    sortableFields: Array<string>;
}
export interface PaginatedResponseParams<T> {
    data: Array<T>;
    currentPage: number;
    totalItems: number;
    itemsPerPage: number;
}
export interface PaginatedResponse<T> {
    data: Array<T>;
    count: number;
    currentPage: number;
    perPage: number;
    total: number;
    pages: number;
}
export declare class PaginationHelper {
    static createPaginationParams(req: Request, sortableFields?: string[]): PaginationParams;
    static getPaginatedResponse<T>(opt: PaginatedResponseParams<T>): PaginatedResponse<T>;
}
