"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StoreHelper = void 0;
const objectHelper_1 = require("./objectHelper");
class StoreHelper {
    static isSuperUser(user) {
        return Array.isArray(user.acl) && (user.acl.includes('Admin') || user.acl.includes('Root'));
    }
    static getStoreId(req) {
        const { user } = req;
        const storeIdHeader = req.header('x-ihub-storeid');
        let storeId = '';
        if (storeIdHeader) {
            if (!StoreHelper.isSuperUser(user) && Array.isArray(user.stores) && user.stores.length > 0 && !user.stores.includes(storeIdHeader)) {
                throw new Error(`You don't have access to this store`);
            }
            if (!objectHelper_1.ObjectHelper.isValidObjectId(storeIdHeader)) {
                throw new Error('X-IHUB-storeId header not a valid id');
            }
            storeId = storeIdHeader;
        }
        else if (user.type === 'integration') {
            storeId = req.user.stores[0];
        }
        else {
            throw new Error('StoreId is not valid');
        }
        return storeId;
    }
}
exports.StoreHelper = StoreHelper;
//# sourceMappingURL=storeHelper.js.map