"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UNCAUGHT_EXCEPTION_ERROR = exports.RESOURCE_CONFLICT_ERROR = exports.NOT_FOUND_ERROR = exports.NOT_ALLOWED_ERROR = exports.UNAUTHORIZED_ERROR = exports.INVALID_CONFIG_ERROR = exports.BAD_REQUEST_ERROR = void 0;
exports.BAD_REQUEST_ERROR = {
    name: 'BadRequestError',
    code: 'ihub.badRequest',
    message: 'Bad request',
    httpStatus: 400,
};
exports.INVALID_CONFIG_ERROR = {
    name: 'InvalidConfigError',
    code: 'ihub.invalidConfig',
    message: 'Informed config is not valid',
    httpStatus: 400,
};
exports.UNAUTHORIZED_ERROR = {
    name: 'UnauthorizedError',
    code: 'ihub.unauthorized',
    message: 'Authentication required',
    httpStatus: 401,
};
exports.NOT_ALLOWED_ERROR = {
    name: 'NotAllowedError',
    code: 'ihub.notAllowed',
    message: 'Permission denied',
    httpStatus: 403,
};
exports.NOT_FOUND_ERROR = {
    name: 'NotFoundError',
    code: 'ihub.notFound',
    message: 'The requested resource was not found',
    httpStatus: 404,
};
exports.RESOURCE_CONFLICT_ERROR = {
    name: 'ResourceConflictError',
    code: 'ihub.resourceConflict',
    message: 'The resource already exists or could not be updated',
    httpStatus: 409,
};
exports.UNCAUGHT_EXCEPTION_ERROR = {
    name: 'UncaughtExceptionError',
    code: 'ihub.uncaughtException',
    message: 'Oops, something went wrong',
    httpStatus: 500,
};
//# sourceMappingURL=presets.js.map